package com.gci.boot.annotation.fileUrl;

import com.gci.boot.annotation.repeat.handle.TableRepeatHandle;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author 24642
 */
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface FileUrl {
    /**
     * 文件前缀 没有的话就是默认取value
     * @return
     */
    String value() default "";
}