package com.gci.boot.modules.basedata.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.basedata.entity.TbVehicleSupplierArchives;
import com.gci.boot.modules.basedata.vo.SupplierPageVO;

public interface ITbVehicleSupplierArchivesService extends IService<TbVehicleSupplierArchives> {

    /**
     * 校验 全称、简称不能重复
     * @param archives
     * @return
     */
    boolean check(TbVehicleSupplierArchives archives);


    Page getSupplierPage(Page page, SupplierPageVO vo);
}
