package com.gci.boot.modules.customer.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.customer.entity.TbCustomerTraining;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.customer.query.CustomerTrainingQuery;

/**
 * <p>
 * 客户培训 服务类
 * </p>
 *
 * @author 2464
 * @since 2023-10-12
 */
public interface ITbCustomerTrainingService extends IService<TbCustomerTraining> {

    IPage<TbCustomerTraining> pageBuild(Page<TbCustomerTraining> page, CustomerTrainingQuery query);

    void saveItem(TbCustomerTraining tbCustomerTraining);

    void updateItem(TbCustomerTraining tbCustomerTraining);

    void saveItemFormContract(TbCustomerTraining tbCustomerTraining);
}
