package com.gci.boot.modules.dataview.vo;

import com.gci.boot.common.dict.annotation.Dict;

import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author 2464
 * @since 2023-08-25
 */
@Data
public class RepairPayMonthVo {

	@Dict(dictTable = "tb_projects", dicText = "project_name", dicCode = "id")
    private String projectId;
	
	//统计类型（1按月、2按季度、3按年）
	private String type;
	
	private String title;
	

    //支出
    private Double payOrigin = 0d;

    //支出
    private Double pay = 0d;
    
}
