package com.gci.boot.modules.demo.entity;

import cn.hutool.core.text.StrBuilder;
import cn.hutool.core.util.ObjectUtil;
import cn.hutool.core.util.ReflectUtil;
import cn.hutool.json.JSON;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.jsonschema.JsonSerializableSchema;
import com.fasterxml.jackson.module.jsonSchema.JsonSchema;
import com.fasterxml.jackson.module.jsonSchema.JsonSchemaGenerator;
import com.gci.boot.modules.basedata.entity.TbCustomerFollowTemplate;
import com.gci.boot.modules.customer.entity.TbCustomerTraining;
import com.gci.boot.modules.customer.entity.TbInspectionTask;
import com.gci.boot.modules.gis.entity.*;
import com.gci.boot.modules.gis.query.GisChargeLogQuery;
import com.gci.boot.modules.vehicles.entity.TbAccidentInfo;

import io.swagger.annotations.ApiModelProperty;

import java.lang.reflect.Field;

/**
 * @author 24642
 */
public class entity {
    public static void main(String[] args) throws JsonProcessingException {
        ObjectMapper objectMapper = new ObjectMapper();
        JsonSchemaGenerator jsonSchemaGenerator = new JsonSchemaGenerator(objectMapper);
        JsonSchema jsonSchema = jsonSchemaGenerator.generateSchema(TbInspectionTask.class);
        System.out.println(objectMapper.writerWithDefaultPrettyPrinter().writeValueAsString(jsonSchema));
/*        TbGisFencePlan tbGisFencePlan = new TbGisFencePlan();
        JSON parse = JSONUtil.parse(tbGisFencePlan);
        System.out.println(parse);*/
    }
}
