package com.gci.boot.modules.gis.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.gis.entity.TbGisActiveSafetyAlarm;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gci.boot.modules.statis.vo.AlarmTrendVO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 主动安全故障记录表 Mapper 接口
 * </p>
 *
 * @author 2464
 * @since 2023-09-01
 */
public interface TbGisActiveSafetyAlarmMapper extends BaseMapper<TbGisActiveSafetyAlarm> {

    List<AlarmTrendVO> findTrendListByTime(@Param("startTime") String startTime,@Param("endTime") String endTime);

    Page<TbGisActiveSafetyAlarm> pageBuild(@Param("page") Page<TbGisActiveSafetyAlarm> page,@Param(Constants.WRAPPER)  LambdaQueryWrapper<TbGisActiveSafetyAlarm> lambdaQueryWrapper);
}
