package com.gci.boot.modules.gis.mapper;

import cn.hutool.core.date.DateTime;
import com.gci.boot.modules.gis.entity.TbGisGpsStatistics;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 车辆gps相关数据统计 Mapper 接口
 * </p>
 *
 * @author 2464
 * @since 2023-10-31
 */
public interface TbGisGpsStatisticsMapper extends BaseMapper<TbGisGpsStatistics> {

    List<TbGisGpsStatistics> StatisticsCount(@Param("time") String time);

    List<TbGisGpsStatistics> initStatisticsCount(@Param("beginOfMonth") DateTime beginOfMonth,@Param("endOfMonth") DateTime endOfMonth);
}
