package com.gci.boot.modules.gis.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.gis.entity.TbGisSpeedingAlarm;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gci.boot.modules.statis.vo.AlarmTrendVO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 超速记录表 Mapper 接口
 * </p>
 *
 * @author 2464
 * @since 2023-09-01
 */
public interface TbGisSpeedingAlarmMapper extends BaseMapper<TbGisSpeedingAlarm> {
    List<AlarmTrendVO> findTrendListByTime(@Param("startTime") String startTime, @Param("endTime") String endTime);

    Page<TbGisSpeedingAlarm> pageBuild(@Param("page") Page<TbGisSpeedingAlarm> page,@Param("ew") LambdaQueryWrapper<TbGisSpeedingAlarm> lambdaQueryWrapper);
}
