package com.gci.boot.modules.statis.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.statis.vo.RepairBoardVO;
import com.gci.boot.modules.statis.vo.StatisParamVO;
import com.gci.boot.modules.statis.vo.UpkeepBoardVO;

import java.util.Date;
import java.util.List;

public interface UpkeepStatisService {

    /**
     * 分页列表查询
     * @param page
     * @param vo
     * @return
     */
    Page getUpkeepStatisPage(Page page, StatisParamVO vo);


    /**
     * 全部列表查询
     * @param vo
     * @return
     */
    List<List<Object>> getAllUpkeepStatis(StatisParamVO vo);

    /**
     * 数据看板----保养
     */
    UpkeepBoardVO getUpkeepInfo(Date startTime, Date endTime);
}
