package com.gci.boot.modules.statis.vo;

import com.gci.boot.common.dict.annotation.Dict;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;


@Data
public class StatisParamVO {
    /**
     * 统计期间
     */
    private String  statisTime;
    /**
     * 项目Id
     */
    private String  projectId;
    /**
     * 统计期间类型
     */
    private String  statisType;
    /**
     * 车辆类型
     */
    private String vehicleType;

    /**
     * 车牌
     */
    private String plateNumber;

    /**
     * 车牌集合
     */
    List<String> plates;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 统计类型 1-维修 2-保险 3-保养 4-年检
     */
    private String businessType;
    /**
     * 车架号
     */
    private String frameNumber;
}
