package com.gci.boot.modules.system.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.gci.boot.common.dict.annotation.Dict;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author chenzhiwei
 * @since 2023-08-18
 */
@Data
public class InnerUserProject implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id  1普通部门，2维修厂，3客户公司（租赁方），0根节点
     */
    private Integer orgCategory;

    /**
     * 用户id，用逗号隔开
     */
    @Dict(dictTable = "tb_projects", dicText = "project_name", dicCode = "id")
    private String projectIds;

}
