package com.gci.boot.modules.vehicles.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.vehicles.entity.TbCustomizedTemplate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gci.boot.modules.vehicles.query.CustomizedTemplateQuery;
import com.gci.boot.modules.vehicles.vo.CustomizedTemplateVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 定制件模板 Mapper 接口
 * </p>
 *
 * @author 2464
 * @since 2023-09-12
 */
public interface TbCustomizedTemplateMapper extends BaseMapper<TbCustomizedTemplate> {

    IPage<CustomizedTemplateVo> listVo(@Param("page") Page<CustomizedTemplateVo> page,@Param("query") CustomizedTemplateQuery query);
}
