package com.gci.boot.modules.vehicles.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.vehicles.entity.TbConsumablesTemplate;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.vehicles.query.ConsumablesTemplateQuery;
import com.gci.boot.modules.vehicles.vo.ConsumablesTemplateVo;

/**
 * <p>
 * 耗材模板 服务类
 * </p>
 *
 * @author 2464
 * @since 2023-09-12
 */
public interface ITbConsumablesTemplateService extends IService<TbConsumablesTemplate> {
    /**
     * 返回列表Vo
     * @param page
     * @param query
     * @return
     */
    IPage<ConsumablesTemplateVo> pageBuild(Page<ConsumablesTemplateVo> page, ConsumablesTemplateQuery query);

    void saveItem(TbConsumablesTemplate tbConsumablesTemplate);

    void updateItem(TbConsumablesTemplate tbConsumablesTemplate);

    TbConsumablesTemplate getByProjectIdAndVehicleType(String id, String vehicleType);

    void removeItem(String projectId, String vehicleType);
}
