ALTER TABLE public.tb_gis_charge_log ADD estimated_cost numeric(12, 2) NULL;
COMMENT ON COLUMN public.tb_gis_charge_log.estimated_cost IS '预估费用';


ALTER TABLE public.tb_vehicle ADD third_organization varchar(32) NULL;
COMMENT ON COLUMN public.tb_vehicle.third_organization IS '机构名称';
ALTER TABLE public.tb_vehicle ADD acceptance_fee numeric(12, 2) NULL;
COMMENT ON COLUMN public.tb_vehicle.acceptance_fee IS '验收费用';

ALTER TABLE public.tb_annual_inspection_info ADD personnel varchar(32) NULL;
COMMENT ON COLUMN public.tb_annual_inspection_info.personnel IS '年检人员';
ALTER TABLE public.tb_annual_inspection_info ADD items varchar(32) NULL;
COMMENT ON COLUMN public.tb_annual_inspection_info.items IS '年检项目';

INSERT INTO sys_permission (id, parent_id, name, url, component, component_name, redirect, menu_type, perms, perms_type, sort_no, icon, is_leaf, description, status, del_flag, rule_flag, create_by, create_time, update_by, update_time, internal_or_external, hidden) VALUES('1767089200969932802', '1767088814921998338', '导出', '', NULL, NULL, NULL, 2, 'VehicleRental:export', '1', 1.0, NULL, 1, NULL, '1', 0, NULL, 'yubowen', '2024-03-11 15:24:31.095', 'yubowen', '2024-03-11 15:24:31.095', 0, 0);
INSERT INTO sys_permission (id, parent_id, name, url, component, component_name, redirect, menu_type, perms, perms_type, sort_no, icon, is_leaf, description, status, del_flag, rule_flag, create_by, create_time, update_by, update_time, internal_or_external, hidden) VALUES('1767088814921998338', '1710546036633395201', '车辆租金收入', '/statementCenter/VehicleRental', 'statementCenter/VehicleRental/VehicleRental', NULL, NULL, 1, NULL, NULL, 10.0, NULL, 0, NULL, NULL, 0, NULL, 'yubowen', '2024-03-11 15:22:59.056', 'yubowen', '2024-03-11 15:27:29.734', 0, 0);
INSERT INTO sys_permission (id, parent_id, name, url, component, component_name, redirect, menu_type, perms, perms_type, sort_no, icon, is_leaf, description, status, del_flag, rule_flag, create_by, create_time, update_by, update_time, internal_or_external, hidden) VALUES('1765981587901374465', '1765981455420088321', '导出', '', NULL, NULL, NULL, 2, 'Weighbridge:export', '1', 1.0, NULL, 1, NULL, '1', 0, NULL, 'yubowen', '2024-03-08 14:03:15.563', 'yubowen', '2024-03-08 14:03:15.563', 0, 0);
INSERT INTO sys_permission (id, parent_id, name, url, component, component_name, redirect, menu_type, perms, perms_type, sort_no, icon, is_leaf, description, status, del_flag, rule_flag, create_by, create_time, update_by, update_time, internal_or_external, hidden) VALUES('1765981455420088321', '1710545411476578306', '地磅数据', '/statementCenter/Weighbridge', 'statementCenter/Weighbridge/Weighbridge', NULL, NULL, 1, NULL, NULL, 8.0, NULL, 0, NULL, NULL, 0, NULL, 'yubowen', '2024-03-08 14:02:43.977', 'yubowen', '2024-03-08 14:02:43.977', 0, 0);
INSERT INTO sys_permission (id, parent_id, name, url, component, component_name, redirect, menu_type, perms, perms_type, sort_no, icon, is_leaf, description, status, del_flag, rule_flag, create_by, create_time, update_by, update_time, internal_or_external, hidden) VALUES('1765911770565566465', '1765911618543017985', '导出', '', NULL, NULL, NULL, 2, 'FuelConsumption:export', '1', 1.0, NULL, 1, NULL, '1', 0, NULL, 'yubowen', '2024-03-08 09:25:49.814', 'yubowen', '2024-03-08 09:25:49.814', 0, 0);
INSERT INTO sys_permission (id, parent_id, name, url, component, component_name, redirect, menu_type, perms, perms_type, sort_no, icon, is_leaf, description, status, del_flag, rule_flag, create_by, create_time, update_by, update_time, internal_or_external, hidden) VALUES('1765911618543017985', '1697455362346319874', '油耗异常', '/vehicleMonitoring/FuelConsumption', 'vehicleMonitoring/FuelConsumption/FuelConsumption', NULL, NULL, 1, NULL, NULL, 13.0, NULL, 0, NULL, NULL, 0, NULL, 'yubowen', '2024-03-08 09:25:13.566', 'yubowen', '2024-03-08 09:25:13.566', 0, 0);

