package com.gci.boot.common.config;

import com.gci.boot.common.dict.aspect.DictAspect;
import com.gci.boot.modules.system.service.ISysDictService;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class DictConfig {
    @Bean
    public DictAspect dictAspect(ISysDictService dictService){
        return new DictAspect(dictService);
    }
}
