package com.gci.boot.modules.basedata.service.impl;

import com.gci.boot.modules.basedata.entity.TbVehicleCheckTemplate;
import com.gci.boot.modules.basedata.mapper.TbVehicleCheckTemplateMapper;
import com.gci.boot.modules.basedata.service.ITbVehicleCheckTemplateProjectService;
import com.gci.boot.modules.basedata.service.ITbVehicleCheckTemplateService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author xushuhan
 * @since 2023-09-07
 */
@Service
public class TbVehicleCheckTemplateServiceImpl extends ServiceImpl<TbVehicleCheckTemplateMapper, TbVehicleCheckTemplate> implements ITbVehicleCheckTemplateService {

	@Autowired
	private ITbVehicleCheckTemplateProjectService tbVehicleCheckTemplateProjectService;
	
	@Transactional
	@Override
	public void saveItem(TbVehicleCheckTemplate item) {
		tbVehicleCheckTemplateProjectService.checkTemplate(item);
		saveOrUpdate(item);
		tbVehicleCheckTemplateProjectService.saveItem(item);
	}
}
