package com.gci.boot.modules.customer.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gci.boot.modules.customer.entity.TbCustomerFollow;
import com.gci.boot.modules.customer.vo.CustomerFollowVo;

/**
 * <p>
 * 客户回访台账 Mapper 接口
 * </p>
 *
 * @author xushuhan
 * @since 2023-10-14
 */
public interface TbCustomerFollowMapper extends BaseMapper<TbCustomerFollow> {
	
	List<CustomerFollowVo> getCustomerFollowStatis( CustomerFollowVo params);
	
	List<CustomerFollowVo> getCustomerFollowMonthStatis( CustomerFollowVo params);

}
