package com.gci.boot.modules.dataview.vo;

import com.gci.boot.common.dict.annotation.Dict;

import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author 2464
 * @since 2023-08-25
 */
@Data
public class ProjectContractVo {

	@Dict(dictTable = "tb_projects", dicText = "project_name", dicCode = "id")
    private String projectId;
	
    private Double confirmIncome = 0d;

    private Double surplusIncome = 0d;
	
    private Double totalIncome = 0d;
    
    //支出
    private Double pay = 0d;
    
    //剩余天数
    private Integer surplusDay;
    
    //进度
    private Integer schedule;
    
    private Integer projectCount;
    
    private Integer vehicleCount;
   
}
