package com.gci.boot.modules.driver.mapper;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gci.boot.modules.dataview.vo.ProjectSignInVo;
import com.gci.boot.modules.driver.entity.TbDriverSignIn;
import com.gci.boot.modules.driver.vo.DriverWorkVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 司机打卡 Mapper 接口
 * </p>
 *
 * @author xushuhan
 * @since 2023-09-13
 */
public interface TbDriverSignInMapper extends BaseMapper<TbDriverSignIn> {

	public List<TbDriverSignIn> getWaitSignOutList();

	public List<ProjectSignInVo> getSignInCount(Date signInDate);

	List<DriverWorkVO> findWorkByList(@Param("driverIds") List<String> driverIds, @Param("startTime")Date startTime, @Param("endTime")Date endTime);

	String queryDriverByPlateNumberAndTime(@Param("plateNumber")String plateNumber,
										   @Param("time")String time);
}
