package com.gci.boot.modules.gis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gci.boot.modules.dataview.vo.GisRoadMileVo;
import com.gci.boot.modules.gis.entity.GisRoadMileLog;
import com.gci.boot.modules.gis.entity.TbGisChargeLog;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 行驶里程能耗记录表 Mapper 接口
 * </p>
 *
 * @author 2464
 * @since 2023-09-01
 */
public interface GisRoadMileLogMapper extends BaseMapper<GisRoadMileLog> {

    List<GisRoadMileVo> countByTime(@Param("startTime")Date startTime,@Param("endTime")Date endTime);
}
