package com.gci.boot.modules.gis.service;

import com.gci.boot.modules.basedata.entity.TbVehicle;
import com.gci.boot.modules.gis.entity.TbGisGps;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.gis.query.GpsHistoryQuery;
import com.gci.boot.modules.gis.vo.GisHistoryVo;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 2464
 * @since 2023-09-01
 */
public interface ITbGisGpsService extends IService<TbGisGps> {

    /**
     * 获取
     * @param vo
     * @return
     */
    List<GisHistoryVo> getGpsHistory(GpsHistoryQuery vo);

    List<TbGisGps> getGpsListByVehicleAndTime(TbVehicle vehicle, Date startTime, Date endTime,int recordSource);
}
