package com.gci.boot.modules.gis.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author 24642
 */
@Data
public class EverydayMileCountVo {
    /**
     * 行驶里程 km
     */
    @ApiModelProperty("行驶里程 km")
    private BigDecimal totalMile = BigDecimal.ZERO;
    /**
     * 作业里程 km
     */
    @ApiModelProperty("作业里程 km")
    private BigDecimal workMile = BigDecimal.ZERO;
}
