package com.gci.boot.modules.msg.vo;

import lombok.Data;

@Data
public class MsgRedisVO {
    /**
     * 发送用户类型
     * 1-项目成员中部门为运营维保部且角色包含运维部领导
     * 2-项目成员中部门为运营维保部
     * 3-账号部门为维修、保养单指派的维修厂
     * 4-账号部门包括所属项目在项目档案中的客户
     */
    private String senderType;
    /**
     * 对应业务工单id
     */
    private String orderId;
    /**
     * 项目id
     */
    private String projectId;
    /**
     * 工单类型
     */
    private String short_thing4;
    /**
     * 工单状态
     */
    private String phrase1;
    /**
     * 更新时间
     */
    private String time2;
    /**
     * 温馨提示
     */
    private String thing3;

    public MsgRedisVO(String senderType, String orderId, String projectId, String short_thing4, String phrase1, String time2, String thing3) {
        this.senderType = senderType;
        this.orderId = orderId;
        this.projectId = projectId;
        this.short_thing4 = short_thing4;
        this.phrase1 = phrase1;
        this.time2 = time2;
        this.thing3 = thing3;
    }
}
