package com.gci.boot.modules.statis.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.statis.vo.RepairBoardVO;
import com.gci.boot.modules.statis.vo.StatisParamVO;

import java.util.Date;
import java.util.List;

public interface RepairStatisService {

    /**
     * 分页列表查询
     * @param page
     * @param vo
     * @return
     */
    Page getRepairStatisPage(Page page, StatisParamVO vo);


    /**
     * 全部列表查询
     * @param vo
     * @return
     */
    List<List<Object>> getAllRepairStatis(StatisParamVO vo);

    /**
     * 数据看板----维修情况
     */
    List<RepairBoardVO> getRepairInfo(Date startTime, Date endTime);
}
