package com.gci.boot.modules.statis.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.basedata.entity.TbVehicle;
import com.gci.boot.modules.driver.entity.TbDriver;
import com.gci.boot.modules.statis.vo.DriverAnalysisVO;
import com.gci.boot.modules.statis.vo.StatisParamVO;
import com.gci.boot.modules.statis.vo.VehicleAnalysisVO;
import com.gci.boot.modules.statis.vo.VehicleStatisVo;

import java.text.ParseException;
import java.util.Date;
import java.util.List;

public interface VehicleStatisService {
    IPage<VehicleStatisVo> page(Page<VehicleStatisVo> page, StatisParamVO vo);

    List<VehicleStatisVo> getAll(StatisParamVO vo);

    List<VehicleAnalysisVO> analysisVehicleByListAndTime(List<TbVehicle> vehicles,Date startTime,Date endTime);

    List<DriverAnalysisVO> analysisDriverByListAndTime(List<TbDriver> vehicles, String startTime, String endTime);
}
