package com.gci.boot.modules.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gci.boot.modules.system.entity.SysDepart;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 组织机构表 Mapper 接口
 * </p>
 *
 * @author chenzhiwei
 * @since 2023-08-31
 */
public interface SysDepartMapper extends BaseMapper<SysDepart> {

    List<SysDepart> getDepartByUserId(@Param("userId") String userId);
}
