package com.gci.boot.modules.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.system.entity.SysUser;
import org.apache.ibatis.annotations.Param;

import java.util.HashSet;
import java.util.List;

/**
 * <p>
 * 用户表 Mapper 接口
 * </p>
 *
 * @author chenzhiwei
 * @since 2023-08-17
 */
public interface SysUserMapper extends BaseMapper<SysUser> {

    List<SysUser> queryInnerUserList(Page page, @Param("user")SysUser user);

    IPage<SysUser> queryPageListV2(@Param("user") SysUser user,@Param("sysUserRoleIds")List<String> sysUserRoleIds,@Param("sysUserDepartIds") List<String> sysUserDepartIds,@Param("fromColumn") String column,@Param("orders") String order,@Param("page") Page<SysUser> page);
}
