package com.gci.boot.modules.system.service;

import com.gci.boot.modules.system.entity.SysRolePermission;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 角色权限表 服务类
 * </p>
 *
 * @author chenzhiwei
 * @since 2023-08-18
 */
public interface ISysRolePermissionService extends IService<SysRolePermission> {

    @Transactional(rollbackFor = Exception.class)
    void saveRolePermission(String roleId, String permissionIds, String lastPermissionIds);
}
