package com.gci.boot.modules.vehicles.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.vehicles.entity.TbConsumablesTemplate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gci.boot.modules.vehicles.query.ConsumablesTemplateQuery;
import com.gci.boot.modules.vehicles.vo.ConsumablesTemplateVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 耗材模板 Mapper 接口
 * </p>
 *
 * @author 2464
 * @since 2023-09-12
 */
public interface TbConsumablesTemplateMapper extends BaseMapper<TbConsumablesTemplate> {

    IPage<ConsumablesTemplateVo> listVo(@Param("page") Page<ConsumablesTemplateVo> page,@Param("query") ConsumablesTemplateQuery query);
}
