package com.gci.boot.modules.vehicles.service;

import com.gci.boot.common.vo.Result;
import com.gci.boot.modules.driver.vo.DriverImportVO;
import com.gci.boot.modules.projects.entity.Projects;
import com.gci.boot.modules.vehicles.vo.RepairImportVO;
import com.gci.boot.modules.vehicles.vo.UpkeepImportVO;

import java.io.IOException;
import java.util.List;

public interface IRepairUpkeepImportService {

    /**
     * 维修导入-暂放这里，基础表那边方法太多了
     */
    Result<?> repairImport(List<RepairImportVO> list) throws IOException;

    /**
     * 保养导入
     */
    Result<?> upkeepImport(List<UpkeepImportVO> list) throws IOException;

    /**
     * 司机档案导入
     */
    Result<?> driverImport(List<DriverImportVO> list) throws IOException;
}
