package com.gci.boot.modules.vehicles.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.vehicles.entity.TbConsumablesTemplateOutPart;
import com.gci.boot.modules.vehicles.entity.TbConsumablesTemplatePart;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 耗材详情 服务类
 * </p>
 *
 * @author 2464
 * @since 2023-09-12
 */
public interface ITbConsumablesTemplatePartService extends IService<TbConsumablesTemplatePart> {

    void init();
    /**
     * 耗材查询
     * @param page
     * @param lambdaQueryWrapper
     * @param onlyHadQuantity
     * @return
     */
    IPage<TbConsumablesTemplatePart> pageBuild(Page<TbConsumablesTemplatePart> page, LambdaQueryWrapper<TbConsumablesTemplatePart> lambdaQueryWrapper, boolean onlyHadQuantity);

    /**
     * 入库数据
     * @param partList
     */
    void inStorage(List<TbConsumablesTemplatePart> partList);

    /**
     * 出库数据
     * @param partList
     */
    void outStorage(List<TbConsumablesTemplateOutPart> partList);

    void inAndOutStorage(TbConsumablesTemplatePart partList);
}
