package com.gci.boot.modules.vehicles.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.vehicles.entity.TbUpkeepPlan;
import com.gci.boot.modules.vehicles.vo.UpkeepInfoListVO;
import com.gci.boot.modules.vehicles.vo.UpkeepObjectVO;
import com.gci.boot.modules.vehicles.vo.UpkeepPlanObjectVO;

import javax.servlet.http.HttpServletRequest;

public interface ITbUpkeepPlanService extends IService<TbUpkeepPlan> {

    /**
     * 保养计划审核提交
     */
    String submitUpkeepPlan(UpkeepPlanObjectVO vo);

    /**
     * 根据保养计划单id获取保养弹窗详情
     * @param id
     * @return
     */
    UpkeepPlanObjectVO getUpkeepPlanObjectById(String id);


    /**
     * 规则生成计划
     */
    String ruleCreatePlan();


    /**
     * 分页
     * @return
     */
    Page getUpkeepPlanList(Page page, TbUpkeepPlan upkeepPlan);

}
