package com.gci.boot.modules.vehicles.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.gci.boot.common.dict.annotation.Dict;
import com.gci.boot.modules.vehicles.entity.*;
import lombok.Data;

import java.util.List;

@Data
public class UpkeepPlanObjectVO {

    private String id;

    @Dict(dicCode = "upkeep_status")
    private Integer flowStatus;
    // 用户类型 1-司机，2-维修厂，3-司机&维修厂，4-维保管理员，5-维保领导，6-维保管理员&维保领导
    @ExcelIgnore
    private String userType;

    private String auditStatus;

    /**
     * 审核状态   1-》通过， 2-》不通过
     */
    private Integer checkFlag = 2;

    private TbUpkeepPlan upkeepPlan;

    private CancelObjectVO cancelObject;

    /**
     * 当前审核信息
     */
    private TbUpkeepPlanCheck currentUpkeepCheck;

    private List<TbUpkeepPlanCheck> upkeepCheckList;
}
