package com.gci.boot.modules.video.vo;

import lombok.Data;

import java.util.List;

/**
 * 树接口返回资源对象
 */
@Data
public class ResultDeviceVO {

    /**
     * 项目id
     */
    private String projectId;
    /**
     * id
     */
    private String id;
    /**
     * 父级id
     */
    private String parentId;
    /**
     * 父级名称
     */
    private String parentName;
    /**
     * 数据层级 1-项目，2-品牌，3-车牌
     */
    private Integer layer;
    /**
     * 是否叶子节点
     */
    private Boolean isLeaf;
    /**
     * 显示名称
     */
    private String title;
    /**
     * Sim卡号
     */
    private String simNo;
    /**
     * 是否在线
     */
    private Boolean online;
    /**
     * 设备总数
     */
    private Integer cameraTotal;
    /**
     * 在线设备总数
     */
    private Integer onlineTotal;
    /**
     *通道号
     */
    private Integer channelNo;
    /**
     * 设备视频通道信息对象
     */
    private List<ChannelVO> channelList;
}
