package com.gci.boot.modules.video.vo;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 视频云平台列表数据
 */
@Data
public class VideoDeviceVO {
    /**
     * 主键
     */
    private String id;
    /**
     * Sim卡号
     */
    private String simNo;
    /**
     * 设备号
     */
    private String deviceNo;
    /**
     * 设备名
     */
    private String deviceName;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 设备类型
     */
    private String deviceType;
    /**
     * 设备类型
     */
    private String deviceTypeName;
    /**
     * 公司
     */
    private String company;
    /**
     * 是否在线
     */
    private Boolean online = false;
    /**
     * 线路/场站
     */
    private String lineName;
    /**
     * 设备视频通道信息对象
     */
    private List<ChannelVO> channelList = new ArrayList<>();
}
